Subject: Re: libX11.a
From: [email-masked] (Arlindo da Silva)

12 Jun 1997 11:45:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Inyigo Gurrea Mendez de Vigo)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Inyigo Gurrea Mendez de Vigo" at Jun 11, 97 01:32:06 pm
X-Mailer: ELM [version 2.4 PL21]
Original-Sender: [email-masked]

> 
> I generate libX11.a from sergey libX11.dll, defining manualy libX11.def and then using dlltool as :
> 
> dlltool --def libX11.def --dllname libX11.dll --output-lib libX11.a
> 
> I have no problems compiling or linking, but I not able to execute the program on a TNT-Xserver that seems to work ok for other X aplications. 
> 

Are you running on win95 or NT? Remember that you need Sergey's patch
to run it on win95.

If you want to compare binaries I have DLLs as well as fully static libX11.a
on

   ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3

The untared static libraries are at

   ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3/X11R6.3/lib/static

I have tested these on win95 with the MI/X server (a.k.a. TNT)

-- 

   *-----------------------------------------------------------------*
   |                                                                 |
   |             ^|^                     ARLINDO DA SILVA            |
   |              |                     212 Lexington Drive          |
   |             _|_                  Silver Spring, MD 20901        |
   |      @  ___|___|__                                              |
   |     _|_|__________|_______/    mailto://[email-masked]    |
   |    \  o o o o o o o  /                                          |
   |     \_______________/            Home: (301) 754-1121           |
   |  ^^^^^^^^^^^^^^^^^^^^^^^^         FAX: (301) 805-7959           |
   |                                                                 |
   *-----------------------------------------------------------------*

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".